Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.franz.agbase
Class RDFSerializer

    java.lang.Object
      com.franz.agbase.AllegroGraphSerializer
          com.franz.agbase.RDFSerializer

    public class RDFSerializer

extends AllegroGraphSerializer

The RDF serializer is described in more detail in the AllegroGraph Reference Guide for Lisp users as the serialize-rdf/xml function.

Constructor Summary
`RDFSerializer()`

Method Summary
`java.lang.String` | `getIfDoesNotExist()`
`java.lang.String` | `getIfExists()`
`int` | `getIndent()`
`java.lang.Object` | `getXMLBase()` Query the XMLBase option.
`boolean` | `isErrorOnInvalid()`
`boolean` | `isMemoizeAbbrevLookups()`
`boolean` | `isNest()`
`boolean` | `isOutputTypes()`
`boolean` | `isPrepareNamespaces()`
`void` | `setErrorOnInvalid(boolean errorOnInvalid)`
`void` | `setIfDoesNotExist(java.lang.String ifDoesNotExist)`
`void` | `setIfExists(java.lang.String ifExists)`
`void` | `setIndent(int indent)`
`void` | `setMemoizeAbbrevLookups(boolean memoizeAbbrevLookups)`
`void` | `setNest(boolean nest)`
`void` | `setOutputTypes(boolean outputTypes)`
`void` | `setPrepareNamespaces(boolean prepareNamespaces)`
`void` | `setXMLBase(java.lang.Object base)` Set the XMLBase option.

Methods inherited from class com.franz.agbase.AllegroGraphSerializer
`getDestination, getResult, getSource, run, run, setDestination`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFSerializer

    public RDFSerializer()

Method Detail

### getXMLBase

    public java.lang.Object getXMLBase()

  Query the XMLBase option.

  Returns:
    the XMLBase option value.

### setXMLBase

    public void setXMLBase(java.lang.Object base)

  Set the XMLBase option.

  Parameters:
    `base` -
    - If null (the initial default), do not generate an xml:base attribute.
    - If a string, assume it is a valid URI and use it as the value of the generated xml:base attribute.
    - If a UPI or Value instance, assume it denotes a URI and use it as the value of the generated xml:base attribute.
    - If an AllegroGraph instance, use the UUID associated with the store as the value of the generated xml:base attribute.
    - If boolean true, generate a new UUID and use it as the value of the generated xml:base attribute.

### isErrorOnInvalid

    public boolean isErrorOnInvalid()

  Returns:
    the errorOnInvalid

### setErrorOnInvalid

    public void setErrorOnInvalid(boolean errorOnInvalid)

  Parameters:
    `errorOnInvalid` - the errorOnInvalid to set

### getIfDoesNotExist

    public java.lang.String getIfDoesNotExist()

  Returns:
    the ifDoesNotExist

### setIfDoesNotExist

    public void setIfDoesNotExist(java.lang.String ifDoesNotExist)

  Parameters:
    `ifDoesNotExist` - the ifDoesNotExist to set. The allowed values are "create" or "error". The default is "create".

### getIfExists

    public java.lang.String getIfExists()

  Returns:
    the ifExists

### setIfExists

    public void setIfExists(java.lang.String ifExists)

  Parameters:
    `ifExists` - the ifExists to set. The valid values are "error", "supersede", or "append. The default is "error".

### getIndent

    public int getIndent()

  Returns:
    the indent

### setIndent

    public void setIndent(int indent)

  Parameters:
    `indent` - the indent to set

### isMemoizeAbbrevLookups

    public boolean isMemoizeAbbrevLookups()

  Returns:
    the memoizeAbbrevLookups

### isNest

    public boolean isNest()

  Returns:
    the nest

### setNest

    public void setNest(boolean nest)

  Parameters:
    `nest` - the nest to set

### isOutputTypes

    public boolean isOutputTypes()

  Returns:
    the outputTypes

### setOutputTypes

    public void setOutputTypes(boolean outputTypes)

  Parameters:
    `outputTypes` - the outputTypes to set

### isPrepareNamespaces

    public boolean isPrepareNamespaces()

  Returns:
    the prepareNamespaces

### setPrepareNamespaces

    public void setPrepareNamespaces(boolean prepareNamespaces)

  Parameters:
    `prepareNamespaces` - the prepareNamespaces to set

### setMemoizeAbbrevLookups

    public void setMemoizeAbbrevLookups(boolean memoizeAbbrevLookups)

  Parameters:
    `memoizeAbbrevLookups` - the memoizeAbbrevLookups to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD